## org.apache.maven.shared.io.location
Interface LocatorStrategy

All Known Implementing Classes:
  ArtifactLocatorStrategy, ClasspathResourceLocatorStrategy, FileLocatorStrategy, URLLocatorStrategy

    public interface LocatorStrategy

Method Summary
`Location` `resolve(java.lang.String locationSpecification, MessageHolder messageHolder)`

Method Detail

### resolve

    Location resolve(java.lang.String locationSpecification,
                     MessageHolder messageHolder)

Copyright © 2011. All Rights Reserved.